System.register([], function (_export, _context) {
  "use strict";

  var __SystemJSRewritingHack, contentFolder, scriptFolder, stepFolder, applicationFolder;
  return {
    setters: [],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_vivide_utils_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_vivide_utils_js || {};
      _export("contentFolder", contentFolder = lively4url + '/src/client/vivide/scripts/');
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_vivide_utils_js, "contentFolder", {
        get() {
          return contentFolder;
        },
        set(thisIsVererySecretVariableName) {
          _export("contentFolder", contentFolder = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("scriptFolder", scriptFolder = contentFolder + 'scripts/');
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_vivide_utils_js, "scriptFolder", {
        get() {
          return scriptFolder;
        },
        set(thisIsVererySecretVariableName) {
          _export("scriptFolder", scriptFolder = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("stepFolder", stepFolder = contentFolder + 'steps/');
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_vivide_utils_js, "stepFolder", {
        get() {
          return stepFolder;
        },
        set(thisIsVererySecretVariableName) {
          _export("stepFolder", stepFolder = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("applicationFolder", applicationFolder = contentFolder + 'applications/');
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_vivide_utils_js, "applicationFolder", {
        get() {
          return applicationFolder;
        },
        set(thisIsVererySecretVariableName) {
          _export("applicationFolder", applicationFolder = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});